EXTEND_BOTTOM WSMITH01 13
IF ~OR(1)
    PartyHasItem("SWGHOST")~ THEN GOTO this
END

APPEND WSMITH01
IF ~~ THEN BEGIN this
  SAY ~Hmmm...what's this? This sword looks old, and banged up enough to prove it. Rare to see such a blade at me smithy with still the ghost of the owner attached. I bet I can fix this up for ye for a price, aye?~
  IF ~PartyHasItem("SWGHOST")~ THEN REPLY ~Old sword? Are you talking about Relic? What would that involve?~ GOTO that
  IF ~~ THEN REPLY ~I don't think so.  Do I have anything else useful?~ GOTO force
END

IF ~~ THEN BEGIN that
  SAY ~Two things, me friend. It will cost ye 5,000 gp for the work, no less, and without an apprentice, ye'll have to stay here a full day and help me run the forge.~
  IF ~PartyGoldGT(4999)~ THEN REPLY ~That sounds fine.  Let's do it.~ DO ~TakePartyGold(5000)
DestroyGold(5000)
SetGlobal("CDRelic","GLOBAL",1)
SetGlobal("ForgeStuff","GLOBAL",1)~ GOTO 56
 IF ~~ THEN REPLY ~No, I don't think so. Do I have anything else useful?~ DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO force
 IF ~~ THEN REPLY ~No, I don't think so. I think I'll be going, now.~ DO ~SetGlobal("ForgeItem","GLOBAL",0)~ EXTERN WSMITH01 12
END

IF ~~ THEN BEGIN force
 SAY ~I'll take another look for meself, here.  Hmmmn...~
COPY_TRANS WSMITH01 13
END
END

